<%@ Page Language="c#" Inherits="Samples.Atom.AtomCreate" Codebehind="AtomCreate.aspx.cs" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
<head>
    <title>Web20Tools Samples - How to create ATOM feed</title>
    <style type="text/css">
        td { font-family:verdana; font-size:12px;}    
        </style>
    <meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
    <meta content="C#" name="CODE_LANGUAGE">
    <meta content="JavaScript" name="vs_defaultClientScript">
    <meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">

    <script language="javascript">
		function clearLables()
		{
			document.getElementById("lblCreated").innerHTML = "";
			document.getElementById("hlOpenXML").innerHTML = "";
			document.getElementById("hlOpenXMLTop").innerHTML = "";
			return true;
		}
		
		function ShowError()
		{		    
		    document.getElementById("divError").style.display="block";
		    document.getElementById("divError").style.position="absolute";
		    document.getElementById("divError").style.left="450px";
		    
		    var e = document.getElementById("ddlVersions");
			var strVersion = e.options[e.selectedIndex].value;
		    
		    if(strVersion=="Atom 0.3")
			{
			    document.getElementById("divError").style.top="630px";
			}
			if(strVersion=="Atom 1.0")
			{
			    document.getElementById("divError").style.top="685px";
			}
		    
		    return false;
		}
		
		function showVersion()
		{
			var e = document.getElementById("ddlVersions");
			var strVersion = e.options[e.selectedIndex].value;
						
			if(strVersion=="Atom 0.3")
			{
				document.getElementById("lblFeedModify").innerHTML = "Modified";
				document.getElementById("lblEntryModify").innerHTML = "Modified";
				document.getElementById("lblEntryIssue").innerHTML = "Issued";
				document.getElementById("txtEntryIssued").style.display="";
				document.getElementById("txtEntrySummary").style.display="none";
				document.getElementById("lblEntryId").innerHTML = "";
				document.getElementById("txtEntryId").style.display="none";
			}
			else
			{
				document.getElementById("lblFeedModify").innerHTML = "Updated";
				document.getElementById("lblEntryModify").innerHTML = "Updated";
				document.getElementById("lblEntryIssue").innerHTML = "Summary";
				document.getElementById("txtEntryIssued").style.display="none";
				document.getElementById("txtEntrySummary").style.display="";
				document.getElementById("lblEntryId").innerHTML = "Id";
				document.getElementById("txtEntryId").style.display="";
			}
			return true;
		}
		
		function showVersionDiv()
		{
			var e = document.getElementById("ddlVersions");
			var strVersion = e.options[e.selectedIndex].value;
					
			if(strVersion=="Atom 0.3")
			{
				document.getElementById("lblFeedModify").innerHTML = "Modified";
				document.getElementById("lblEntryModify").innerHTML = "Modified";
				document.getElementById("lblEntryIssue").innerHTML = "Issued";
				document.getElementById("txtEntryIssued").style.display="";
				document.getElementById("txtEntrySummary").style.display="none";
				document.getElementById("lblEntryId").innerHTML = "";
				document.getElementById("lblColon").innerHTML = "";
				document.getElementById("txtEntryId").style.display="none";
			}
			else
			{
				document.getElementById("lblFeedModify").innerHTML = "Updated";
				document.getElementById("lblEntryModify").innerHTML = "Updated";
				document.getElementById("lblEntryIssue").innerHTML = "Summary";
				document.getElementById("txtEntryIssued").style.display="none";
				document.getElementById("txtEntrySummary").style.display="";
				document.getElementById("lblEntryId").innerHTML = "Id";
				document.getElementById("lblColon").innerHTML = ":";
				document.getElementById("txtEntryId").style.display="";
			}
			document.getElementById("lblCreated").innerHTML = "";
			document.getElementById("lblCreatedBottom").innerHTML = "";
			document.getElementById("hlOpenXML").innerHTML = "";
			document.getElementById("hlOpenXMLTop").innerHTML = "";
			return true;
		}
		
		function validateURL()
		{
			var j = new RegExp();
			j.compile("^[A-Za-z]+://[A-Za-z0-9-]+\.[A-Za-z0-9]+");
			feedLink = document.getElementById('txtFeedLinkHref').value;
			entryLink = document.getElementById('txtEntryLinkHref').value;
			if(!j.test(feedLink))
			{
				document.getElementById("lblMsg").innerHTML = "Please Enter Feed Link Href.";
				document.getElementById("txtFeedLinkHref").focus();
				return false;
			}
			else if(!j.test(entryLink))
			{
				document.getElementById("lblMsg").innerHTML = "Please Enter Entry Link Href.";
				document.getElementById("txtEntryLinkHref").focus();
				return false;
			}			
			return true;
		}
		
		function checkFeedDate()
		{
			var validformat=/^\d{2}\/\d{2}\/\d{4}$/ //Basic check for format validity
			var returnval=false
			if (!validformat.test(document.getElementById('txtFeedModified').value))
				document.getElementById("lblMsg").innerHTML = "Invalid Feed Modified Date. Please Enter Date in mm/dd/yyyy Format";
			else
			{ 
				var monthfield=document.getElementById('txtFeedModified').value.split("/")[0]
				var dayfield=document.getElementById('txtFeedModified').value.split("/")[1]
				var yearfield=document.getElementById('txtFeedModified').value.split("/")[2]
				var dayobj = new Date(yearfield, monthfield-1, dayfield)
				if ((dayobj.getMonth()+1!=monthfield)||(dayobj.getDate()!=dayfield)||(dayobj.getFullYear()!=yearfield))
					document.getElementById("lblMsg").innerHTML = "Invalid Feed Modified Date. Please Enter Date in mm/dd/yyyy Format";
				else
					returnval=true
			}
			if (returnval==false) document.getElementById('txtFeedModified').select()
			return returnval
		}
		
		function checkEntryDate()
		{
			var validformat=/^\d{2}\/\d{2}\/\d{4}$/ //Basic check for format validity
			var returnval=false
			if (!validformat.test(document.getElementById('txtEntryModified').value))
				document.getElementById("lblMsg").innerHTML = "Invalid Feed Modified Date. Please Enter Date in mm/dd/yyyy Format";
			else
			{ 
				var monthfield=document.getElementById('txtEntryModified').value.split("/")[0]
				var dayfield=document.getElementById('txtEntryModified').value.split("/")[1]
				var yearfield=document.getElementById('txtEntryModified').value.split("/")[2]
				var dayobj = new Date(yearfield, monthfield-1, dayfield)
				if ((dayobj.getMonth()+1!=monthfield)||(dayobj.getDate()!=dayfield)||(dayobj.getFullYear()!=yearfield))
					document.getElementById("lblMsg").innerHTML = "Invalid Feed Modified Date. Please Enter Date in mm/dd/yyyy Format";
				else
					returnval=true
			}
			if (returnval==false) document.getElementById('txtEntryModified').select()
			return returnval
		}
		
		function checkIssueDate()
		{
			var e = document.getElementById("ddlVersions");
			var strVersion = e.options[e.selectedIndex].value;
			if(strVersion=="Atom 0.3")
			{			
				var validformat=/^\d{2}\/\d{2}\/\d{4}$/ //Basic check for format validity
				var returnval=false
				if (!validformat.test(document.getElementById('txtEntryIssued').value))
					document.getElementById("lblMsg").innerHTML = "Invalid Feed Modified Date. Please Enter Date in mm/dd/yyyy Format";
				else
				{ 
					var monthfield=document.getElementById('txtEntryIssued').value.split("/")[0]
					var dayfield=document.getElementById('txtEntryIssued').value.split("/")[1]
					var yearfield=document.getElementById('txtEntryIssued').value.split("/")[2]
					var dayobj = new Date(yearfield, monthfield-1, dayfield)
					if ((dayobj.getMonth()+1!=monthfield)||(dayobj.getDate()!=dayfield)||(dayobj.getFullYear()!=yearfield))
						document.getElementById("lblMsg").innerHTML = "Invalid Feed Modified Date. Please Enter Date in mm/dd/yyyy Format";
					else
						returnval=true
				}
				if (returnval==false) document.getElementById('txtEntryIssued').select()
				return returnval
			}
			else
				return true;
		}
		
    </script>

</head>
<body bgcolor="#BDC7DA" style="font-family: Verdana; font-size: 12px;">
    <form id="Form1" method="post" runat="server">
        <table width="100%">
            <tr>
                <td align="center">
                    <table width="75%" bgcolor="white" cellspacing="10" style="border: solid 2px black;">
                        <tr>
                            <td colspan="3">
                                <a href="http://www.web20tools.net">Web 2.0 Tools for .NET Developers</a>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <table align="right">
                                    <tr>
                                        <td>
                                            <p>
                                                <a href="../AtomMenuIndex.htm">Index </a>&nbsp; &nbsp; <a href="AtomStream.aspx">Prev
                                                </a>&nbsp; &nbsp; <a href="AtomEmbeddedPassword.aspx">Next </a>&nbsp;&nbsp;&nbsp;
                                            </p>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <h2>
                                    How to create an ATOM feed</h2>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3" bgcolor="#f0f0f0" style="border: solid 1px black; padding-left: 20px;
                                padding-right: 20px;">
                                <table width="100%">
                                    <tr>
                                        <td colspan="3">
                                            The following sample shows the capability of ATOM.NET to create different versions
                                            of ATOM feeds. The current version (2.0.0.0) supports ATOM 0.3 and 1.0 feeds.
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3" style="text-align: justify;">
                                            The following sample creates an ATOM feed based on the information provided in the
                                            input boxes. The application provides default values for the input boxes. You can
                                            modify the values as per what you feel good. Select the version for the feed that
                                            you want to create and click on the <b>Create</b> button.
                                            <br>
                                            <br>
                                            After the feed is created, a link will be displayed. You can view the feed by clicking
                                            on the link.
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td align="right" width="21%">
                            </td>
                            <td width="1%">
                            </td>
                            <td>
                                <asp:Label ID="lblCreated" runat="server" Font-Bold="True"></asp:Label>&nbsp;
                                <asp:HyperLink ID="hlOpenXMLtop" runat="server"></asp:HyperLink></td>
                        </tr>
                        <tr>
                            <td align="right" width="21%">
                                <b>Atom Version</b></td>
                            <td width="1%">
                            </td>
                            <td align="left">
                                <asp:DropDownList ID="ddlVersions" runat="server" CssClass="DropDown_small">
                                </asp:DropDownList></td>
                        </tr>
                        <tr>
                            <td align="left" colspan="3">
                                <div>
                                    <table height="0" cellspacing="0" cellpadding="0" width="100%">
                                        <tr>
                                            <td align="right" width="23%">
                                                <b>Feed</b></td>
                                            <td width="1%">
                                            </td>
                                            <td>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td align="right">
                                                Title</td>
                                            <td>
                                                :</td>
                                            <td>
                                                <asp:TextBox ID="txtFeedTitle" runat="server" CssClass="TextBox" Width="100%" size="70"></asp:TextBox></td>
                                        </tr>
                                        <tr>
                                            <td align="right">
                                                Link Href</td>
                                            <td>
                                                :</td>
                                            <td>
                                                <asp:TextBox ID="txtFeedLinkHref" runat="server" CssClass="textbox_large" Width="100%"
                                                    size="70"></asp:TextBox></td>
                                        </tr>
                                        <tr>
                                            <td align="right">
                                                <asp:Label ID="lblFeedModify" runat="server" CssClass="Table">Modified</asp:Label></td>
                                            <td>
                                                :</td>
                                            <td>
                                                <asp:TextBox ID="txtFeedModified" runat="server" CssClass="TextBox" Width="20%"></asp:TextBox><a
                                                    href="javascript:NewCal('txtFeedModified','mmddyyyy',true,8)"></a></td>
                                        </tr>
                                        <tr>
                                            <td align="right">
                                                Author Name</td>
                                            <td>
                                                :</td>
                                            <td>
                                                <asp:TextBox ID="txtFeedAuthorName" runat="server" CssClass="TextBox" Width="50%"></asp:TextBox></td>
                                        </tr>
                                        <tr>
                                            <td align="right">
                                                Id</td>
                                            <td>
                                                :</td>
                                            <td>
                                                <asp:TextBox ID="txtFeedId" runat="server" CssClass="textbox_large" Width="480px"
                                                    size="70"></asp:TextBox></td>
                                        </tr>
                                        <tr>
                                            <td colspan="3">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td align="right" width="15%">
                                                <b>Entry</b></td>
                                            <td width="1%">
                                            </td>
                                            <td>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td align="right">
                                                Title</td>
                                            <td>
                                                :</td>
                                            <td>
                                                <asp:TextBox ID="txtEntryTitle" runat="server" CssClass="TextBox" Width="100%" size="70"></asp:TextBox></td>
                                        </tr>
                                        <tr>
                                            <td align="right">
                                                Link Href</td>
                                            <td>
                                                :</td>
                                            <td>
                                                <asp:TextBox ID="txtEntryLinkHref" runat="server" CssClass="TextBox" Width="100%"
                                                    size="70"></asp:TextBox></td>
                                        </tr>
                                        <tr>
                                            <td align="right">
                                                <asp:Label ID="lblEntryId" runat="server" CssClass="Table">Id</asp:Label></td>
                                            <td>
                                                <asp:Label ID="lblColon" runat="server" CssClass="Table">:</asp:Label></td>
                                            <td>
                                                <asp:TextBox ID="txtEntryId" runat="server" CssClass="textbox_large" Width="480px"
                                                    size="70"></asp:TextBox></td>
                                        </tr>
                                        <tr>
                                            <td align="right">
                                                <asp:Label ID="lblEntryModify" runat="server" CssClass="Table">Modified</asp:Label></td>
                                            <td>
                                                :</td>
                                            <td>
                                                <asp:TextBox ID="txtEntryModified" runat="server" CssClass="TextBox" Width="20%"></asp:TextBox><a
                                                    href="javascript:NewCal('txtEntryModified','mmddyyyy',true,8)"></a></td>
                                        </tr>
                                        <tr>
                                            <td align="right">
                                                <asp:Label ID="lblEntryIssue" runat="server" CssClass="Table">Issued</asp:Label></td>
                                            <td>
                                                :</td>
                                            <td>
                                                <asp:TextBox ID="txtEntryIssued" runat="server" CssClass="TextBox" Width="20%"></asp:TextBox><asp:TextBox
                                                    ID="txtEntrySummary" runat="server" CssClass="textbox_large" Width="100%" Rows="4"
                                                    TextMode="MultiLine"></asp:TextBox></td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td>
                            </td>
                            <td>
                            </td>
                            <td>
                                <asp:Button ID="btnSave" runat="server" CssClass="Button" Text="Create" OnClick="btnSave_Click">
                                </asp:Button>&nbsp;<asp:Label ID="lblMsg" runat="server" CssClass="ErrorMsg" ForeColor="Red"></asp:Label>
                                <asp:HyperLink ID="hlViewError" runat="server"></asp:HyperLink>
                            </td>
                        </tr>
                        <tr>
                            <td align="right" width="21%">
                            </td>
                            <td width="1%">
                            </td>
                            <td>
                                <asp:Label ID="lblCreatedBottom" runat="server" Font-Bold="True"></asp:Label>&nbsp;
                                <asp:HyperLink ID="hlOpenXML" runat="server"></asp:HyperLink></td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <a href="../AtomMenuIndex.htm">&lt;&lt; Back to ATOM.NET Samples </a>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <div id="divError" style="display: none; width: 270px; background-color: White; border: solid 2px"
                                    runat="server">
                                    <table width="100%">
                                        <tr>
                                            <td align="right">
                                                <a href="#" onclick="document.getElementById('divError').style.display='none';">Close</a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="labelError">
                                                <asp:Label ID="lblError" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <center>
            Copyright  2002 - 2008 ToolButton Inc. All rights reserved.</center>
    </form>
</body>
</html>
