<%@ Page Language="vb" AutoEventWireup="false" Inherits="Samples.Samples.Atom.AtomCombine"
    Codebehind="AtomCombine.aspx.vb" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
<head>
    <title>Web20Tools Sample - How to read multiple ATOM feeds and aggregate into a single
        feed (filtered)</title>
    <style type="text/css">
        td { font-family:verdana; font-size:12px;}    
        </style>
    <meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
    <meta content="C#" name="CODE_LANGUAGE">
    <meta content="JavaScript" name="vs_defaultClientScript">
    <meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">

    <script language="javascript">	
	  function AddUrls()
	  {
		var isExists;	
		if(document.getElementById("rdddl").checked == true)
		{
			var e = document.getElementById("ddlUrls");
			var strVersion = e.options[e.selectedIndex].value;
			var o = document.createElement("option");
			o.text = strVersion;
			o.value = strVersion;
			isExists = Check(strVersion);
			 if(isExists == false)
			 {						
				return true;
			 }
			 else
			 {
				alert("Selected Url exists for aggregate");
			    return false;
			 }
		}
		else if(document.getElementById("rdtxt").checked == true)
		{
			var strVersion = document.getElementById("txtEnterUrl").value;
			var o = document.createElement("option");
			o.text = strVersion;
			o.value = strVersion;
			 isExists = Check(strVersion);
			 if(isExists == false)
			 {						
				return true;
			 }
			 else
			 {
				alert("Selected Url exists for aggregate");
				return false;
			 }   
		}
		return false;
	  }	 
	 
	    function ShowError()
		{		    
		    document.getElementById("divError").style.display="block";
		    document.getElementById("divError").style.position="absolute";
		    document.getElementById("divError").style.top="800px";
		    document.getElementById("divError").style.left="450px";
		    return false;
		}
		
	  function Check(addvalue)
	  {
		var count = document.getElementById('lbURL').options.length; 
		if(count != 0)
		{
			for(var x = 0; x < count; x++)
			{
				var chkvalue = document.getElementById('lbURL').options[x].value;
				if(chkvalue == addvalue)
				{
					return true;
				}
			}
		}
		return false;
	  }
	 
	  function EnableDisable()
	  {
		if(document.getElementById("rdddl").checked == true)
		{
			document.getElementById("txtEnterUrl").disabled = true;
			document.getElementById("txtEnterUrl").value = "http://";  
			document.getElementById("ddlUrls").disabled = false;  
		}
		else 
		{
			document.getElementById("ddlUrls").disabled = true; 
			document.getElementById("txtEnterUrl").disabled = false;
		}
	  }
		  
	  function Aggregate()
	  {
		var count = document.getElementById('lbURL').options.length;
		if(count == 0)
		{
			alert("Enter feed Url");
			return false;
		}
		if(document.getElementById('txtchTitle').value=="" )
		{
			alert("Enter feed title");
			document.getElementById('txtchTitle').focus();
			return false;
		}
		if(document.getElementById('txtchLink').value=="" || trimString(document.getElementById('txtchLink').value) == "http://")
		{
			alert("Enter feed link");
			document.getElementById('txtchLink').focus();
			return false;
		}
		if(document.getElementById('txtchFeedId').value=="" || trimString(document.getElementById('txtchFeedId').value) == "http://")
		{
			alert("Enter a feed Id");
			document.getElementById('txtchFeedID').focus();
			return false;
		}
		if(document.getElementById('txtchAuthor').value=="" )
		{
			alert("Enter feed author");
			document.getElementById('txtchAuthor').focus();
			return false;
		}
		return true;
	  }
	  
	  function trimString(str) 
		{
			str = this != window? this : str;
			return str.replace(/^\s+/g, '').replace(/\s+$/g, '');
		}
    </script>

</head>
<body bgcolor="#BDC7DA" style="font-family: Verdana; font-size: 12px;">
    <form id="Form1" method="post" runat="server">
        <table width="100%">
            <tr>
                <td align="center">
                    <table width="75%" bgcolor="white" cellspacing="10" style="border: solid 2px black;">
                        <tr>
                            <td colspan="3">
                                <a href="http://www.web20tools.net">Web 2.0 Tools for .NET Developers</a>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <table align="right">
                                    <tr>
                                        <td>
                                            <p>
                                                <a href="../AtomMenuIndex.htm">Index </a>&nbsp; &nbsp; <a href="AtomProtected.aspx">
                                                    Prev </a>&nbsp; &nbsp; <a href="AtomFeedDataset.aspx">Next </a>&nbsp;&nbsp;&nbsp;</p>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <h2>
                                    How to read multiple ATOM feeds and aggregate into a single feed (filtered)</h2>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3" bgcolor="#f0f0f0" style="border: solid 1px black; padding-left: 20px;
                                padding-right: 20px;">
                                <table width="100%">
                                    <tr>
                                        <td colspan="3">
                                            The following sample shows the capability of <i>ATOM.NET</i> to create different
                                            versions of ATOM feeds. The current version (2.0.0.0) supports ATOM 0.3 and 1.0
                                            feeds.
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3" style="text-align: justify;">
                                            <ul>
                                                <li>The following sample creates an ATOM feed based on the information provided in the
                                                    input boxes. The application provides default values for the input boxes. You can
                                                    modify the values as per what you feel good. Select the version for the feed that
                                                    you want to create and click on the <b>Create</b> button.
                                                    <li>After the feed is created, a link will be displayed. You can view the feed by clicking
                                                        on the link. </li>
                                            </ul>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td width="30%">
                            </td>
                            <td width="1%">
                            </td>
                            <td width="60%">
                                <asp:Label ID="lblCreated" runat="server" Font-Bold="True"></asp:Label>&nbsp;
                                <asp:HyperLink ID="hlOpenXMLTop" runat="server"></asp:HyperLink></td>
                        </tr>
                        <tr>
                            <td>
                                <asp:RadioButton ID="rdddl" GroupName="AtomURL" Text="Atom Feeds :" runat="server"
                                    CssClass="OptionButton"></asp:RadioButton></td>
                            <td colspan="2">
                                <asp:DropDownList ID="ddlUrls" runat="server" CssClass="DropDown_large" Width="80%">
                                </asp:DropDownList></td>
                        </tr>
                        <tr>
                            <td>
                                <asp:RadioButton ID="rdtxt" GroupName="AtomURL" Text="Enter Url :" runat="server"
                                    CssClass="OptionButton"></asp:RadioButton></td>
                            <td colspan="2">
                                <asp:TextBox ID="txtEnterUrl" runat="server" CssClass="textbox_large" Width="80%">http://</asp:TextBox></td>
                        </tr>
                        <tr>
                            <td>
                            </td>
                            <td colspan="2">
                                <asp:Button ID="btnAddUrls" Text="Add Urls" runat="server" CssClass="Button" Width="20%">
                                </asp:Button>&nbsp;&nbsp;
                                <asp:Button ID="btnRemove" Text="Remove Urls" runat="server" CssClass="Button" Width="20%">
                                </asp:Button></td>
                        </tr>
                        <tr>
                            <td>
                                &nbsp;</td>
                            <td colspan="2">
                                <asp:ListBox ID="lbURL" runat="server" CssClass="ListBox" SelectionMode="Multiple" Width="80%"></asp:ListBox></td>
                        </tr>
                        <tr>
                            <td>
                            </td>
                            <td colspan="2">
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <b>Enter Feed Information</b></td>
                        </tr>
                        <tr align="justify">
                            <td align="right">
                                Title :</td>
                            <td colspan="2">
                                <asp:TextBox ID="txtchTitle" runat="server" CssClass="textbox_large" Width="80%"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <td align="right">
                                Link :</td>
                            <td colspan="2">
                                <asp:TextBox ID="txtchLink" runat="server" CssClass="textbox_large" Width="80%">http://</asp:TextBox></td>
                        </tr>
                        <tr>
                            <td align="right">
                                Id :</td>
                            <td colspan="2">
                                <asp:TextBox ID="txtchFeedId" runat="server" CssClass="textbox_large" Width="80%">http://</asp:TextBox></td>
                        </tr>
                        <tr>
                            <td align="right">
                                Author :</td>
                            <td colspan="2">
                                <asp:TextBox ID="txtchAuthor" runat="server" CssClass="textbox_large"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <td align="right">
                                Filter Entries By :</td>
                            <td>
                                <asp:DropDownList ID="ddlitem" runat="server" Enabled="False" CssClass="border">
                                </asp:DropDownList></td>
                            <td>
                                <asp:DropDownList ID="ddloption" runat="server" CssClass="border">
                                </asp:DropDownList>&nbsp;
                                <asp:TextBox ID="txtKeyword" runat="server" Width="245px" CssClass="textbox_medium"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <td>
                            </td>
                            <td colspan="2">
                                <asp:Button ID="btnAggregate" runat="server" Text="Aggregate" CssClass="Button"></asp:Button>&nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td align="right" width="21%">
                            </td>
                            <td colspan="2">
                                &nbsp;
                                <asp:Label ID="lblMsg" runat="server" CssClass="ErrorMsg" ForeColor="Red"></asp:Label>
                                <asp:HyperLink ID="hlViewError" runat="server"></asp:HyperLink>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                <asp:Label ID="lblCreatedBottom" runat="server" Font-Bold="True"></asp:Label>&nbsp;
                                <asp:HyperLink ID="hlOpenXML" runat="server"></asp:HyperLink></td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <a href="../AtomMenuIndex.htm">&lt;&lt; Back to ATOM.NET Samples </a>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <div id="divError" style="display: none; width: 270px; background-color: White; border: solid 2px"
                                    runat="server">
                                    <table width="100%">
                                        <tr>
                                            <td align="right">
                                                <a href="#" onclick="document.getElementById('divError').style.display='none';">Close</a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="labelError">
                                                <asp:Label ID="lblError" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <center>
            Copyright  2002 - 2008 ToolButton Inc. All rights reserved.</center>
    </form>
</body>
</html>
