<%@ Page Language="vb" AutoEventWireup="false" Inherits="Samples.Samples.Atom.AtomEmbeddedPassword"
    Codebehind="AtomEmbeddedPassword.aspx.vb" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
<head>
    <title>Web20Tools Samples - How to read Password Protected ATOM feeds: (Passing credentials
        in Url)</title>
    <style type="text/css">
        td { font-family:verdana; font-size:12px;}    
        </style>
    <meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
    <meta content="C#" name="CODE_LANGUAGE">
    <meta content="JavaScript" name="vs_defaultClientScript">
    <meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">

    <script language="javascript">
		function trimString (str)
		{
			str = this != window? this : str;
			return str.replace(/^\s+/g, '').replace(/\s+$/g, '');
		}

        function ShowError()
		{		    
		    document.getElementById("divError").style.display="block";
		    document.getElementById("divError").style.position="absolute";
		    document.getElementById("divError").style.top="680px";
		    document.getElementById("divError").style.left="450px";
		    return false;
		}
				
		function checkURL()
		{
			if(trimString(document.getElementById("txtUrl").value) == "")
			{
				document.getElementById("lblMsg").innerHTML = "Please Enter Feed URL.";
				if(document.getElementById("txtUrl").disabled == false)
					document.getElementById("txtUrl").focus();
				return false;
			}
			else
			{
				document.getElementById("lblMsg").innerHTML = "";
				document.getElementById("hlViewError").innerText = "";
				return true;
			}			
		}
		
		function EnableDisableURLControls()
		{
			if(document.getElementById("rdSelectUrl").checked)
			{
				document.getElementById("txtUrl").value = "http://";
				document.getElementById("txtUrl").disabled = true;
				document.getElementById("ddlURL").disabled = false;
								
				document.getElementById("lblUserName").innerHTML = ""; 
				document.getElementById("lblPassword").innerHTML = ""; 
				document.getElementById("txtUserName").style.display  = "none"; 
				document.getElementById("txtUserName").value  = ""; 
				document.getElementById("txtPassword").style.display  = "none"; 
				
				if(document.getElementById("dgAtomFeed"))
					document.getElementById("dgAtomFeed").style.display = "none";
				if(document.getElementById("dgEntry"))
					document.getElementById("dgEntry").style.display = "none"; 
				document.getElementById("lblEntry").innerHTML  = ""; 
				document.getElementById("lblFeed").innerHTML  = "";
			}
			else if(document.getElementById("rdEnterUrl").checked)
			{	
				document.getElementById("txtUrl").disabled = false;
				document.getElementById("ddlURL").disabled = true;		
				document.getElementById("lblUserName").innerHTML = ""; 
				document.getElementById("lblPassword").innerHTML = ""; 
				document.getElementById("txtUserName").style.display  = "none"; 
				document.getElementById("txtUserName").value  = ""; 
				document.getElementById("txtPassword").style.display  = "none"; 		
				if(document.getElementById("dgAtomFeed"))
					document.getElementById("dgAtomFeed").style.display = "none";
				if(document.getElementById("dgEntry"))
					document.getElementById("dgEntry").style.display = "none";
				document.getElementById("lblEntry").innerHTML  = ""; 
				document.getElementById("lblFeed").innerHTML  = "";			
			}
			document.getElementById("lblMsg").innerHTML = "";
			document.getElementById("hlViewError").innerText = "";
			return true;
		}
		
		function setFocus()
		{
			document.getElementById("txtUrl").focus();
			return true;
		}
		
		function HideTextbox()
		{	
			if(document.getElementById("rdSelectUrl").checked)
			{
				document.getElementById("txtUrl").value = "http://";
				document.getElementById("txtUrl").disabled = true;
				document.getElementById("ddlURL").disabled = false;
			
				document.getElementById("lblUserName").innerHTML = ""; 
				document.getElementById("lblPassword").innerHTML = ""; 
				document.getElementById("txtUserName").style.display  = "none"; 
				document.getElementById("txtUserName").value  = ""; 
				document.getElementById("txtPassword").style.display  = "none"; 	
			}
			else if(document.getElementById("rdEnterUrl").checked)
			{	
				document.getElementById("txtUrl").disabled = false;
				document.getElementById("ddlURL").disabled = true;
			
				document.getElementById("lblUserName").innerHTML = ""; 
				document.getElementById("lblPassword").innerHTML = ""; 
				document.getElementById("txtUserName").style.display  = "none"; 
				document.getElementById("txtUserName").value  = ""; 
				document.getElementById("txtPassword").style.display  = "none"; 			
			}		
		}
		
		function SetEnd (TB)
		{
			if (TB.createTextRange)
			{
				var FieldRange = TB.createTextRange();
				FieldRange.moveStart('character', TB.value.length);
				FieldRange.collapse();
				FieldRange.select();
			}
		}

    </script>

</head>
<body onload="HideTextbox()" bgcolor="#BDC7DA" style="font-family: Verdana; font-size: 12px;">
    <form id="Form1" method="post" runat="server">
        <table width="100%">
            <tr>
                <td align="center">
                    <table width="75%" bgcolor="white" cellspacing="10" style="border: solid 2px black;">
                        <tr>
                            <td colspan="3">
                                <a href="http://www.web20tools.net">Web 2.0 Tools for .NET Developers</a>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <table align="right">
                                    <tr>
                                        <td>
                                            <p>
                                                <a href="../AtomMenuIndex.htm">Index </a>&nbsp; &nbsp; <a href="AtomCreate.aspx">Prev
                                                </a>&nbsp; &nbsp; <a href="AtomProtected.aspx">Next </a>&nbsp;&nbsp;&nbsp;</p>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <h2>
                                    How to read Password Protected ATOM feeds: (Passing credentials in URL)</h2>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3" bgcolor="#f0f0f0" style="border: solid 1px black; padding-left: 20px;
                                padding-right: 20px;">
                                <table width="100%">
                                    <tr>
                                        <td colspan="3">
                                            <div style="text-justify: auto; text-align: justify">
                                                The following sample demonstrates the capability of ATOM.NET to read a password
                                                protected ATOM feed.
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">
                                            <b>Description</b>
                                            <div style="text-justify: auto; text-align: justify">
                                                The sample below shows how to use ATOM.NET to read an ATOM feed with a URL which
                                                contains username and password. While using ATOM.NET, you can either pass the username/password
                                                information in the URL or you can specify them programmatically. If you wish to
                                                pass the user information in the URL, it should take the following form.
                                                <br />
                                                <br />
                                                <i>Protocol (http or https) // username : password @ url</i>
                                                <br />
                                                <br />
                                                The following illustration explains this. Assume that we have a URL with the following
                                                information.
                                                <br />
                                                <br />
                                                URL:<label style="color: #0000ff; text-decoration: underline">http/test.web20tools.net/samples/atom/atom10.aspx</label>
                                                <br />
                                                Username: feedreader
                                                <br />
                                                Password: 123
                                                <br />
                                                <br />
                                                If you would like to read the above ATOM feed with ATOM.NET and would like to pass
                                                the username and password in the URL, the URL should look like the following:
                                                <br />
                                                <br />
                                                <label style="color: #0000ff; text-decoration: underline">
                                                    http://feedreader:123@test.web20tools.net/samples/atom/atom10.aspx</label>
                                                <br />
                                                <br />
                                                To run the sample application, either select a pre-defined URL (from the combo box)
                                                or enter a URL of your choice. Make sure that you enter the URL exactly in the manner
                                                explained above.
                                            </div>
                                        </td>
                                    </tr>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td valign="top" width="25%">
                    <b>
                        <asp:RadioButton ID="rdSelectUrl" runat="server" CssClass="OptionButton" Text="Feed URL"
                            GroupName="AtomURL"></asp:RadioButton></b></td>
                <td valign="top" width="1%">
                </td>
                <td valign="top">
                    <asp:DropDownList ID="ddlURL" runat="server" CssClass="DropDown_Large" Width="100%">
                    </asp:DropDownList></td>
            </tr>
            <tr>
                <td valign="top">
                    <b>
                        <asp:RadioButton ID="rdEnterUrl" runat="server" CssClass="OptionButton" Text="Enter Feed URL"
                            GroupName="AtomURL"></asp:RadioButton></b></td>
                <td valign="top">
                </td>
                <td valign="top">
                    <asp:TextBox ID="txtUrl" runat="server" CssClass="textbox_large" Width="100%">http://</asp:TextBox></td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblUserName" CssClass="Label" Font-Bold="True" runat="server"></asp:Label></td>
                <td>
                </td>
                <td valign="top">
                    <asp:TextBox ID="txtUserName" runat="server" CssClass="TextBox" Width="40%"></asp:TextBox></td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lblPassword" CssClass="Label" Font-Bold="True" runat="server"></asp:Label></td>
                <td>
                </td>
                <td valign="top">
                    <asp:TextBox ID="txtPassword" runat="server" CssClass="TextBox" Width="40%" TextMode="Password"></asp:TextBox></td>
            </tr>            
            <tr>
                <td>
                </td>
                <td>
                </td>
                <td>
                    <asp:Button ID="btnLoad" runat="server" Text="Load" CssClass="Button"></asp:Button>&nbsp;
                </td>
            </tr>
            <tr>
                <td>
                </td>
                <td>
                </td>
                <td>
                    <asp:Label ID="lblMsg" runat="server" CssClass="ErrorMsg" ForeColor="Red"></asp:Label>
                    <asp:HyperLink ID="hlViewError" runat="server"></asp:HyperLink>
                </td>
            </tr>
            <tr>
                <td colspan="3">
                    <a name="#bm"></a><b>
                        <asp:Label ID="lblFeed" runat="server"></asp:Label></b></td>
            </tr>
            <tr>
                <td align="center" colspan="3">
                    <asp:DataGrid ID="dgAtomFeed" runat="server" CssClass="datagrid_style" Width="100%"
                        ForeColor="Black" BorderColor="black" BorderStyle="Solid" CellSpacing="0" BorderWidth="1px"
                        BackColor="#CCCCCC" CellPadding="2">
                        <HeaderStyle ForeColor="White" BackColor="Maroon"></HeaderStyle>
                        <ItemStyle BackColor="White"></ItemStyle>
                    </asp:DataGrid></td>
            </tr>            
            <tr>
                <td colspan="3">
                    <b>
                        <asp:Label ID="lblEntry" runat="server"></asp:Label></b></td>
            </tr>
            <tr>
                <td align="center" colspan="3">
                    <asp:DataGrid ID="dgEntry" runat="server" CssClass="datagrid_style" Width="100%"
                        ForeColor="Black" BorderColor="black" BorderStyle="Solid" CellSpacing="0" BorderWidth="1px"
                        BackColor="#CCCCCC" CellPadding="2">
                        <HeaderStyle ForeColor="White" BackColor="Maroon"></HeaderStyle>
                        <ItemStyle BackColor="White"></ItemStyle>
                    </asp:DataGrid></td>
            </tr>
            <tr>
                <td colspan="3">
                    <a href="../AtomMenuIndex.htm">&lt;&lt; Back to ATOM.NET Samples </a>
                </td>
            </tr>
            <tr>
                <td colspan="3">
                    <div id="divError" style="display: none; width: 270px; background-color: White; border: solid 2px"
                        runat="server">
                        <table width="100%">
                            <tr>
                                <td align="right">
                                    <a href="#" onclick="document.getElementById('divError').style.display='none';">Close</a>
                                </td>
                            </tr>
                            <tr>
                                <td class="labelError">
                                    <asp:Label ID="lblError" runat="server"></asp:Label>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
            </tr>
        </table>        
        <center>
            Copyright  2002 - 2008 ToolButton Inc. All rights reserved.</center>
    </form>
</body>
</html>
