<%@ Page language="vb" AutoEventWireup="false" Inherits="Samples.Samples.Atom.AtomLoad" Codebehind="AtomLoad.aspx.vb" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Web20Tools Samples - How to read and display ATOM 0.3 and 1.0 feeds</title>
		<style type="text/css">
        td { font-family:verdana; font-size:12px;}    
        </style>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		
		<script language="javascript">
		function trimString (str) 
		{
			str = this != window? this : str;
			return str.replace(/^\s+/g, '').replace(/\s+$/g, '');
		}
		
		function ShowError()
		{		    
		    document.getElementById("divError").style.display="block";
		    document.getElementById("divError").style.position="absolute";
		    document.getElementById("divError").style.top="400px";
		    document.getElementById("divError").style.left="450px";
		    return false;
		}
		
		function checkURL()
		{
			if(trimString(document.getElementById("txtURL").value) == "")
			{
				document.getElementById("lblMsg").innerHTML = "Please Enter Feed URL.";
				if(document.getElementById("txtURL").disabled == false)
					document.getElementById("txtURL").focus();
				return false;
			}
			else
			{
				document.getElementById("lblMsg").innerHTML = "";
				document.getElementById("hlViewError").innerHTML = "";
				return true;
			}
		}
		
		function EnableDiableURLControls()
		{
			if(document.getElementById("rdSelectUrl").checked==true)
			{
				document.getElementById("txtURL").value = "http://";
				document.getElementById("txtURL").disabled = true;
				document.getElementById("ddlURL").disabled = false;
			}
			else
			{	
				document.getElementById("txtURL").disabled = false;
				document.getElementById("ddlURL").disabled = true;
			}
			return true;
		}
		
		function setFocus()
		{
			document.getElementById("lblEntry").focus();
			return true;
		}
		</script>
	</HEAD>
	<body bgcolor="#BDC7DA" style="font-family: Verdana; font-size: 12px;">
		<form id="Form1" method="post" runat="server">
			<table width="100%">
            <tr>
                <td align="center">
                    <table width="75%" bgcolor="white" cellspacing="10" style="border: solid 2px black;">
                        <tr>
                            <td colspan="3">
                                <a href="http://www.web20tools.net">Web 2.0 Tools for .NET Developers</a>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <table align="right">
                                    <tr>
                                        <td>
                                        <p><A href="../AtomMenuIndex.htm"> Index </A>&nbsp; &nbsp; <A href="AtomStream.aspx">
														Next </A>&nbsp;&nbsp;&nbsp;</p>
											</td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
									<h2>How to read and display ATOM 0.3 and 1.0 feeds</h2>
								</td>
                        </tr>
                        <tr>
                            <td colspan="3" bgcolor="#f0f0f0" style="border: solid 1px black; padding-left: 20px;
                                padding-right: 20px;">
                                <table width="100%">
                                    <tr>
                                        <td colspan="3">
                                            The following sample shows the capability of ATOM.NET to load 
															different versions of ATOM feeds. The current version (2.0.0.0) supports 
															reading ATOM 0.3 and 1.0 feeds.
														</td>
                                    </tr>
                                    <tr>
                                        <td colspan="3" style="text-align: justify;">
															<b>Description</b><br>
															The following sample reads an ATOM feed either from the pre-configured list or 
															from a URL of your choice. The drop down list has a pre-configured list of ATOM 
															feeds that you can select. If you would like to read a feed of your choice, 
															enter the URL in the text box below. Click on the <B>Load</B> button.
															<br>
															<br>
															The sample application will load the FEED you have entered/selected and will 
															display the information in a table below. If the feed has multiple entries, 
															only the first entry will be displayed.
														</td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
													<tr>
														<td vAlign="top" width="25%"><b><asp:radiobutton id="rdSelectUrl" runat="server" Text="Select Feed URL" GroupName="AtomURL" CssClass="OptionButton"></asp:radiobutton></b></td>
														<td vAlign="top" width="1%"></td>
														<td vAlign="top"><asp:dropdownlist id="ddlURL" runat="server" CssClass="DropDown_large" Width="100%"></asp:dropdownlist></td>
													</tr>
													<tr>
														<td vAlign="top"><b><asp:radiobutton id="rdEnterUrl" runat="server" Text="Enter Feed URL" GroupName="AtomURL" CssClass="OptionButton"></asp:radiobutton></b></td>
														<td vAlign="top"></td>
														<td vAlign="top"><asp:textbox id="txtURL" runat="server" CssClass="TextBox" Width="100%" size="66">http://</asp:textbox></td>
													</tr>
													<tr>
														<td></td>
														<td></td>
														<td><asp:button id="btnLoad" runat="server" Text="Load" CssClass="Button"></asp:button>&nbsp;
															<asp:label id="lblMsg" runat="server" CssClass="ErrorMsg" ForeColor="Red"></asp:label>
															<asp:HyperLink ID="hlViewError" runat="server"></asp:HyperLink>
															</td>
													</tr>
													<tr>
														<td colSpan="3">
															<a name="#bm"></a><b>
																<asp:label id="lblFeed" runat="server"></asp:label></b></td>
													</tr>
													<tr>
														<td align="center" colSpan="3">
															<asp:datagrid id="dgAtomFeed" runat="server" CssClass="datagrid_style" Width="100%" ForeColor="Black"
																BorderColor="black" BorderStyle="Solid" CellSpacing="0" BorderWidth="1px" BackColor="#CCCCCC"
																CellPadding="2">
																<HeaderStyle ForeColor="White" BackColor="Maroon"></HeaderStyle>
																<ItemStyle BackColor="White"></ItemStyle>
															</asp:datagrid></td>
													</tr>
													<tr>
														<td colSpan="3">
															<b>
																<asp:label id="lblEntry" runat="server"></asp:label></b></td>
													</tr>
													<tr>
														<td align="center" colSpan="3">
															<asp:datagrid id="dgEntry" runat="server" CssClass="datagrid_style" Width="100%" ForeColor="Black"
																BorderColor="black" BorderStyle="Solid" CellSpacing="0" BorderWidth="1px" BackColor="#CCCCCC"
																CellPadding="2">
																<HeaderStyle ForeColor="White" BackColor="Maroon"></HeaderStyle>
																<ItemStyle BackColor="White"></ItemStyle>
															</asp:datagrid></td>
													</tr>
													<tr>
														<td colspan="3"><A href="../AtomMenuIndex.htm"> &lt;&lt; Back to ATOM.NET Samples </A>
														</td>
													</tr>
												<tr>
                            <td colspan="3">
                                <div id="divError" style="display: none; width: 270px; background-color: White; border: solid 2px"
                                    runat="server">
                                    <table width="100%">
                                        <tr>
                                            <td align="right">
                                                <a href="#" onclick="document.getElementById('divError').style.display='none';">Close</a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="labelError">
                                                <asp:Label ID="lblError" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <center>
            Copyright  2002 - 2008 ToolButton Inc. All rights reserved.</center>
    </form>
</body>
</html>
