' AtomShowFeed.aspx.vb
' Copyright  2002 - 2008 ToolButton Inc. All Rights Reserved.

Imports System
Imports System.Collections 
Imports System.ComponentModel 
Imports System.Data 
Imports System.Drawing 
Imports System.Web 
Imports System.Web.SessionState 
Imports System.Web.UI 
Imports System.Web.UI.WebControls 
Imports Web20Tools.Feed.Atom 
Imports System.Web.UI.HtmlControls 
Namespace Samples.Atom

    Public Class AtomShowFeed
        Inherits System.Web.UI.Page

        Private Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
            License.LoadLicense()
            Response.ContentType = "application/xml"
            If Not IsPostBack Then
                If Not (Session("AtomFeed") Is Nothing) Then
                    Try
                        Dim feed As AtomFeed = CType(Session("AtomFeed"), AtomFeed)

                        Select Case feed.GetType.Name
                            Case "AtomFeed10"
                                Dim atm10 As AtomFeed10 = CType(feed, AtomFeed10)
                                atm10.Save(Response.OutputStream)

                            Case "AtomFeed03"
                                Dim atm03 As AtomFeed03 = CType(feed, AtomFeed03)
                                atm03.Save(Response.OutputStream)

                        End Select
                    Catch ex As Exception
                        Response.Write(ex.Message.ToString)
                    End Try
                End If
            End If
        End Sub
        Protected Overloads Overrides Sub OnInit(ByVal e As EventArgs)
            InitializeComponent()
            MyBase.OnInit(e)
        End Sub

        Private Sub InitializeComponent()
            AddHandler Me.Load, AddressOf Me.Page_Load
        End Sub
    End Class
End Namespace