<%@ Page Language="c#" Inherits="Samples.Atom.AtomFeedAutoDiscovery" Codebehind="AtomFeedAutoDiscovery.aspx.cs" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
<head>
    <title>Web20Tools Samples - How to do an ATOM feed discovery</title>
    <style type="text/css">
        td { font-family:verdana; font-size:12px;}    
        </style>
    <meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
    <meta content="C#" name="CODE_LANGUAGE">
    <meta content="JavaScript" name="vs_defaultClientScript">
    <meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">

    <script language="javascript">
		function checkForBlank()
		{			
			if(document.getElementById("txtSiteURL").value == "" || document.getElementById("txtSiteURL").value == "http://")
			{
				document.getElementById("lblMsg").innerHTML = "Please Enter Site URL.";
				document.getElementById("txtSiteURL").select();
				if(document.getElementById("dgFeeds"))
					document.getElementById("dgFeeds").style.display = "none";
				return false;
			}
			else
			{
				return true;
			}			
		}
		
		function ShowError()
		{		    
		    document.getElementById("divError").style.display="block";
		    document.getElementById("divError").style.position="absolute";
		    document.getElementById("divError").style.top="305px";
		    document.getElementById("divError").style.left="450px";
		    return false;
		}
    </script>

</head>
<body bgcolor="#BDC7DA" style="font-family: Verdana; font-size: 12px;">
    <form id="Form1" method="post" runat="server">
        <table width="100%">
            <tr>
                <td align="center">
                    <table width="75%" bgcolor="white" cellspacing="10" style="border: solid 2px black;">
                        <tr>
                            <td colspan="3">
                                <a href="http://www.web20tools.net">Web 2.0 Tools for .NET Developers</a>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <table align="right">
                                    <tr>
                                        <td>
                                            <p>
                                                <a href="../AtomMenuIndex.htm">Index </a>&nbsp; &nbsp;<a href="AtomFeedDataset.aspx">Prev</a>&nbsp;
                                                &nbsp;<a href="AtomAdvancedFeedAutoDiscovery.aspx">Next</a>&nbsp;&nbsp;&nbsp;</p>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <h2>
                                    How to do an ATOM feed discovery</h2>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3" bgcolor="#f0f0f0" style="border: solid 1px black; padding-left: 20px;
                                padding-right: 20px;">
                                <table width="100%">
                                    <tr>
                                        <td width="100%" colspan="3">
                                            <b>Description</b><br>
                                            <div style="text-justify: auto; text-align: justify">
                                                The following sample shows how to do an ATOM feed discovery. The sample application
                                                scans the given page and identifies all ATOM feeds advertised on the page
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table width="100%">
                                    <tr>
                                        <td colspan="3">
                                            &nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td width="21%" align="right">
                                            <b>Site URL</b></td>
                                        <td width="1%">
                                            :</td>
                                        <td>
                                            <asp:TextBox ID="txtSiteURL" runat="server" Width="90%" CssClass="textbox_large"></asp:TextBox></td>
                                    </tr>
                                    <tr>
                                        <td>
                                        </td>
                                        <td>
                                        </td>
                                        <td>
                                            <asp:Button ID="btnDiscover" runat="server" Text="Discover Feed(s)" CssClass="Button"
                                                OnClick="btnDiscover_Click"></asp:Button>&nbsp;
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                        </td>
                                        <td>
                                        </td>
                                        <td>
                                            <asp:Label ID="lblMsg" runat="server" ForeColor="Red"></asp:Label>
                                            <asp:HyperLink ID="hlViewError" runat="server"></asp:HyperLink>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="center" colspan="3">
                                            <asp:DataGrid ID="dgFeeds" runat="server" Width="100%" CssClass="datagrid_style"
                                                AutoGenerateColumns="False" BorderColor="Black" BorderWidth="1px">
                                                <HeaderStyle Font-Bold="True" ForeColor="White" BackColor="Maroon"></HeaderStyle>
                                                <Columns>
                                                    <asp:BoundColumn DataField="FeedURL" HeaderText="Feed URL">
                                                        <ItemStyle Width="10px"></ItemStyle>
                                                    </asp:BoundColumn>
                                                    <asp:BoundColumn DataField="FeedType" HeaderText="Type">
                                                        <ItemStyle Width="10px"></ItemStyle>
                                                    </asp:BoundColumn>
                                                    <asp:BoundColumn DataField="FeedTitle" HeaderText="Title">
                                                        <ItemStyle Width="10px"></ItemStyle>
                                                    </asp:BoundColumn>
                                                    <asp:BoundColumn DataField="FeedContent" HeaderText="Content">
                                                        <ItemStyle Width="10px"></ItemStyle>
                                                    </asp:BoundColumn>
                                                </Columns>
                                            </asp:DataGrid>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">
                                            <a href="../AtomMenuIndex.htm">&lt;&lt; Back to ATOM.NET Samples </a>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <div id="divError" style="display: none; width: 270px; background-color: White; border: solid 2px"
                                    runat="server">
                                    <table width="100%">
                                        <tr>
                                            <td align="right">
                                                <a href="#" onclick="document.getElementById('divError').style.display='none';">Close</a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="labelError">
                                                <asp:Label ID="lblError" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <center>
            Copyright  2002 - 2008 ToolButton Inc. All rights reserved.</center>
    </form>
</body>
</html>
