<%@ Page Language="c#" Inherits="Samples.Atom.AtomProtected" Codebehind="AtomProtected.aspx.cs" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
<head>
    <title>Web20Tools Samples - How to read a password protected ATOM feed:(Passing username
        and password programmatically) </title>
    <style type="text/css">
        td { font-family:verdana; font-size:12px;}    
        </style>
    <meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
    <meta content="C#" name="CODE_LANGUAGE">
    <meta content="JavaScript" name="vs_defaultClientScript">
    <meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">

    <script language="javascript">
		function trimString (str) 
		{
			str = this != window? this : str;
			return str.replace(/^\s+/g, '').replace(/\s+$/g, '');
		}
		
		function ShowError()
		{		    
		    document.getElementById("divError").style.display="block";
		    document.getElementById("divError").style.position="absolute";
		    document.getElementById("divError").style.top="560px";
		    document.getElementById("divError").style.left="450px";
		    return false;
		}
		
		function EnableDisableURLControls()
		{			
			if(document.getElementById("rdSelectUrl").checked==true)
			{				
				document.getElementById("ddlUrl").disabled = false;
				document.getElementById("txtUrl").disabled = true;
				document.getElementById("txtUrl").value = "http://";
				document.getElementById("lblDisableUser").innerHTML = "Username:"; 
				document.getElementById("lblDisablePass").innerHTML = "Password:"; 
				document.getElementById("txtDisableUser").style.display  = ""; 
				document.getElementById("txtDisableUser").value  = "feedreader"; 
				document.getElementById("txtDisablePass").style.display  = ""; 
				document.getElementById("txtDisablePass").value = "123";
			    document.getElementById("lblUserName").innerHTML = ""; 
				document.getElementById("lblPassword").innerHTML = ""; 
				document.getElementById("txtUserName").style.display  = "none"; 
				document.getElementById("txtUserName").value  = ""; 
				document.getElementById("txtPassword").style.display  = "none"; 
				if(document.getElementById("dgAtomFeed"))
					document.getElementById("dgAtomFeed").style.display = "none";
				if(document.getElementById("dgEntry"))
					document.getElementById("dgEntry").style.display = "none";
				document.getElementById("lblEntry").innerHTML  = ""; 
				document.getElementById("lblFeed").innerHTML  = "";
			}
			else if(document.getElementById("rdEnterUrl").checked==true)
			{	
				document.getElementById("ddlUrl").disabled = true;
				document.getElementById("txtUrl").disabled = false;
				document.getElementById("lblUserName").innerHTML = "Username:"; 
				document.getElementById("lblPassword").innerHTML = "Password:"; 
				document.getElementById("txtUserName").style.display  = ""; 
				document.getElementById("txtUserName").value  = ""; 
				document.getElementById("txtPassword").style.display  = ""; 
				document.getElementById("lblDisableUser").innerHTML = ""; 
				document.getElementById("lblDisablePass").innerHTML = ""; 
				document.getElementById("txtDisableUser").style.display  = "none"; 
				document.getElementById("txtDisablePass").style.display  = "none"; 
				
				if(document.getElementById("dgAtomFeed"))
					document.getElementById("dgAtomFeed").style.display = "none";
				if(document.getElementById("dgEntry"))
					document.getElementById("dgEntry").style.display = "none";
				document.getElementById("lblEntry").innerHTML  = ""; 
				document.getElementById("lblFeed").innerHTML  = "";
			}
			document.getElementById("lblMsg").innerHTML = "";
			document.getElementById("hlViewError").innerHTML = "";
			return true;
		}
		
		function HideTextbox()
		{	
		    if(document.getElementById("rdSelectUrl").checked==true)
			{
				document.getElementById("ddlUrl").disabled = false;
				document.getElementById("txtUrl").disabled = false;
				document.getElementById("txtUrl").value = "http://";
				document.getElementById("lblDisableUser").innerHTML = "Username:"; 
				document.getElementById("lblDisablePass").innerHTML = "Password:"; 
				document.getElementById("txtDisableUser").style.display  = ""; 
				document.getElementById("txtDisableUser").value  = "feedreader"; 
				document.getElementById("txtDisablePass").style.display  = ""; 
				document.getElementById("txtDisablePass").value = "123";
			    document.getElementById("lblUserName").innerHTML = ""; 
				document.getElementById("lblPassword").innerHTML = ""; 
				document.getElementById("txtUserName").style.display  = "none"; 
				document.getElementById("txtUserName").value  = ""; 
				document.getElementById("txtPassword").style.display  = "none"; 				
			}
			else if(document.getElementById("rdEnterUrl").checked==true)
			{	
				document.getElementById("ddlUrl").disabled = true;
				document.getElementById("txtUrl").disabled = false;
				document.getElementById("lblUserName").innerHTML = "Username:"; 
				document.getElementById("lblPassword").innerHTML = "Password:"; 
				document.getElementById("txtUserName").style.display  = ""; 
				document.getElementById("txtUserName").value  = ""; 
				document.getElementById("txtPassword").style.display  = ""; 
				document.getElementById("lblDisableUser").innerHTML = ""; 
				document.getElementById("lblDisablePass").innerHTML = ""; 
				document.getElementById("txtDisableUser").style.display  = "none"; 
				
				document.getElementById("txtDisablePass").style.display  = "none"; 
			}
		}
		
		function SetEnd (TB)
		{
			if (TB.createTextRange)
			{
				var FieldRange = TB.createTextRange();
				FieldRange.moveStart('character', TB.value.length);
				FieldRange.collapse();
				FieldRange.select();
			}
		}

    </script>

</head>
<body onload="HideTextbox()" bgcolor="#BDC7DA" style="font-family: Verdana; font-size: 12px;">
    <form id="Form1" method="post" runat="server">
        <table width="100%">
            <tr>
                <td align="center">
                    <table width="75%" bgcolor="white" cellspacing="10" style="border: solid 2px black;">
                        <tr>
                            <td colspan="3">
                                <a href="http://www.web20tools.net">Web 2.0 Tools for .NET Developers</a>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <table align="right">
                                    <tr>
                                        <td>
                                            <p>
                                                <a href="../AtomMenuIndex.htm">Index </a>&nbsp; &nbsp; <a href="AtomEmbeddedPassword.aspx">
                                                    Prev </a>&nbsp; &nbsp; <a href="AtomCombine.aspx">Next </a>&nbsp;&nbsp;&nbsp;</p>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <h2>
                                    How to read a password protected ATOM feed:(Passing username and password programmatically)</h2>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3" bgcolor="#f0f0f0" style="border: solid 1px black; padding-left: 20px;
                                padding-right: 20px;">
                                <table width="100%">
                                    <tr>
                                        <td colspan="3">
                                            <div style="text-justify: auto; text-align: justify">
                                                The following sample demonstrates the capability of ATOM.NET to read password protected
                                                RSS feeds. The <a href="AtomEmbeddedPassword.aspx">previous</a> sample explained
                                                how to pass username and password embedded into the URL. This example shows an additional
                                                functionality that ATOM.NET provides to work with password protected ATOM feeds.
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">
                                            <b>Description</b>
                                            <div style="text-justify: auto; text-align: justify">
                                                Select a URL from the drop down or enter a URL of your choice. If you prefer to
                                                enter your own URL, you will note that the application will prompt for username
                                                and password. Enter the information and click the button to load the feed.
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                &nbsp;</td>
                        </tr>
                        <tr>
                            <td valign="top" width="25%">
                                <b>
                                    <asp:RadioButton ID="rdSelectUrl" runat="server" CssClass="OptionButton" Text="Feed URL"
                                        GroupName="AtomURL"></asp:RadioButton></b></td>
                            <td valign="top" width="1%">
                            </td>
                            <td valign="top">
                                <asp:DropDownList ID="ddlUrl" runat="server" CssClass="DropDown_large" Width="80%">
                                </asp:DropDownList></td>
                        </tr>
                        <tr>
                            <td align="right">
                                <asp:Label ID="lblDisableUser" CssClass="Label" Font-Bold="True" runat="server"></asp:Label></td>
                            <td>
                            </td>
                            <td valign="top">
                                <asp:TextBox ID="txtDisableUser" runat="server" CssClass="TextBox" Width="40%" Enabled="False"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <td align="right">
                                <asp:Label ID="lblDisablePass" CssClass="Label" Font-Bold="True" runat="server"></asp:Label></td>
                            <td>
                            </td>
                            <td valign="top">
                                <asp:TextBox ID="txtDisablePass" runat="server" CssClass="TextBox" Width="40%" TextMode="Password"
                                    Enabled="False"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <b>
                                    <asp:RadioButton ID="rdEnterUrl" runat="server" CssClass="OptionButton" Text="Enter Feed URL"
                                        GroupName="AtomURL"></asp:RadioButton></b></td>
                            <td valign="top">
                            </td>
                            <td valign="top">
                                <asp:TextBox ID="txtUrl" runat="server" CssClass="textbox_large" Width="80%">http://</asp:TextBox></td>
                        </tr>
                        <tr>
                            <td align="right">
                                <asp:Label ID="lblUserName" CssClass="Label" Font-Bold="True" runat="server"></asp:Label></td>
                            <td>
                            </td>
                            <td valign="top">
                                <asp:TextBox ID="txtUserName" runat="server" CssClass="TextBox" Width="40%"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <td align="right">
                                <asp:Label ID="lblPassword" CssClass="Label" Font-Bold="True" runat="server"></asp:Label></td>
                            <td>
                            </td>
                            <td valign="top">
                                <asp:TextBox ID="txtPassword" runat="server" CssClass="TextBox" Width="40%" TextMode="Password"></asp:TextBox></td>
                        </tr>                        
                        <tr>
                            <td>
                            </td>
                            <td>
                            </td>
                            <td>
                                <asp:Button ID="btnLoad" runat="server" Text="Load" CssClass="Button" OnClick="btnLoad_Click">
                                </asp:Button>&nbsp;
                                <asp:Label ID="lblMsg" runat="server" CssClass="ErrorMsg" ForeColor="Red"></asp:Label>
                                <asp:HyperLink ID="hlViewError" runat="server"></asp:HyperLink>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <a name="#bm"></a><b>
                                    <asp:Label ID="lblFeed" runat="server"></asp:Label></b></td>
                        </tr>
                        <tr>
                            <td align="center" colspan="3">
                                <asp:DataGrid ID="dgAtomFeed" runat="server" CssClass="datagrid_style" Width="100%"
                                    ForeColor="Black" BorderColor="black" BorderStyle="Solid" CellSpacing="0" BorderWidth="1px"
                                    BackColor="#CCCCCC" CellPadding="2">
                                    <HeaderStyle ForeColor="White" BackColor="Maroon"></HeaderStyle>
                                    <ItemStyle BackColor="White"></ItemStyle>
                                </asp:DataGrid></td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <b>
                                    <asp:Label ID="lblEntry" runat="server"></asp:Label></b></td>
                        </tr>
                        <tr>
                            <td align="center" colspan="3">
                                <asp:DataGrid ID="dgEntry" runat="server" CssClass="datagrid_style" Width="100%"
                                    ForeColor="Black" BorderColor="black" BorderStyle="Solid" CellSpacing="0" BorderWidth="1px"
                                    BackColor="#CCCCCC" CellPadding="2">
                                    <HeaderStyle ForeColor="White" BackColor="Maroon"></HeaderStyle>
                                    <ItemStyle BackColor="White"></ItemStyle>
                                </asp:DataGrid></td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <a href="../AtomMenuIndex.htm">&lt;&lt; Back to ATOM.NET Samples </a>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <div id="divError" style="display: none; width: 270px; background-color: White; border: solid 2px"
                                    runat="server">
                                    <table width="100%">
                                        <tr>
                                            <td align="right">
                                                <a href="#" onclick="document.getElementById('divError').style.display='none';">Close</a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="labelError">
                                                <asp:Label ID="lblError" runat="server"></asp:Label>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <center>
            Copyright  2002 - 2008 ToolButton Inc. All rights reserved.</center>
    </form>
</body>
</html>
