using System;
using System.Windows.Forms;
using System.Reflection;
using System.Resources;

namespace AtomConvert
{
    public partial class LicenseMsgForm : Form
    {
        public LicenseMsgForm()
        {
            InitializeComponent();
        }

        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            string address = @"https://secure.web20tools.net/";
            try
            {
                System.Diagnostics.Process.Start(address);
            }
            catch { }
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void LicenseMsgForm_Load(object sender, EventArgs e)
        {
            ResourceManager stringManager = new ResourceManager("AtomConvert.AtomConvertResource", Assembly.GetExecutingAssembly());
            lblMsg.Text = stringManager.GetString("strLicenseException");
            linkUrl.Text = stringManager.GetString("strLink");
            lblRemMsg.Text = stringManager.GetString("strLicenseExceptionRem");
            linkPersonalUrl.Text = stringManager.GetString("strLinkPersonal");
            this.Text = stringManager.GetString("strCaption");
        }
        private void linkPersonalUrl_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            string address = @"https://secure.web20tools.net/personal/default.aspx";
            try
            {
                System.Diagnostics.Process.Start(address);
            }
            catch { }
        }
    }
}